

$('#login_form').submit(function(){
    ctiCommunityLogin($('#login_username').val(), $('#login_password').val());
    return false;
});

$('#logout_button').click(function(){
    ctiCommunityLogout();
});

function ctiCommunityLogin(username, password) {
    $("#login_form :input").prop("disabled", true);
    var sending = browser.runtime.sendMessage({
        login: true,
        username: username,
        password: password
    });
    sending.then(handleLogin, handleError);
}

function ctiCommunityLogout() {
    var sending = browser.runtime.sendMessage({
        logout: true,
    });
    sending.then(function(){
        restoreLoginState();
    }, handleError);

}

function handleLogin(message) {
    if(message){
        if(message.user){
            loginSuccess(message.user);
        }else{
            $("#login_form :input").prop("disabled", false);
            $("#login_message").html('Something went wrong');
        }
    }
}

function handleError(error) {
    console.log(`Error: ${error}`);
}

function loginSuccess(user) {
    $("#login_form").hide();
    $("#profile").show("slow");
    $("#profile_name").html(user.username);
    $("#profile_tier").html(user.patreon_tier_name);
    unlock(user);
}

function unlock(user){
    if(user != null && user.permissions.permission_file_type_gif){
        $(".patreon_gif").removeClass('patreon_locked');
        $(".patreon_gif").addClass('patreon_unlocked');
    }else{
        $(".patreon_gif .patreon_unlocked").removeClass('patreon_locked');
    }
}